Page MenuHomePhabricator

Correct some minor "arc land" workflow issues in Mercurial
ClosedPublic

Authored by epriestley on Jun 10 2020, 11:18 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jun 24, 10:54 AM
Unknown Object (File)
Mon, Jun 13, 6:26 PM
Unknown Object (File)
Thu, Jun 9, 6:23 PM
Unknown Object (File)
Sun, Jun 5, 2:36 AM
Unknown Object (File)
Jun 2 2022, 9:06 PM
Unknown Object (File)
May 31 2022, 3:34 PM
Unknown Object (File)
May 26 2022, 4:47 PM
Subscribers
None

Details

Summary

Ref T9948. Ref T13546. Clean up some minor behaviors to allow "arc land" to function in the simplest cases again. Also, do a capability test for "prune" rather than just falling back.

Test Plan

Ran "arc land <mark>" in Mercurial, got changes pushed.

Diff Detail

Repository
rARC Arcanist
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Jun 11 2020, 12:31 AM
This revision was automatically updated to reflect the committed changes.